#define STRICT // strict type-checking

// these should be defined in standard headers
// but for some reason they aren't in BC++ 5...
#ifndef min
#define min(a, b)  (((a) < (b)) ? (a) : (b))
#endif

#ifndef max
#define max(a, b)  (((a) > (b)) ? (a) : (b))
#endif

// application-defined message identifiers
#define CDWM_NOTIFYICON		WM_USER + 1
#define CDWM_NEWWIN			WM_USER + 2

// global constants
#define REW					0
#define PLAY				1
#define FF					2
#define DISP				3
#define VOL					4
#define RPT					5
#define MIN					6
#define EJ					7
#define EXIT				8
#define HELP				9
#define MINUS				10

// control identifiers
#define IDBTN_REW			1
#define IDBTN_PLAY		2
#define IDBTN_FF			3
#define IDBTN_DISP		4
#define IDBTN_VOL       5
#define IDBTN_RPT       6
#define IDBTN_MIN			7
#define IDBTN_EJ			8
#define IDBTN_EXIT		9
#define IDBTN_HELP		10
#define IDBTN_OPT			11
#define IDBTN_ONTOP		12
#define IDCHK_TBICON		20
#define IDCHK_SCRNPOS	21
#define IDCHK_AUTOPLAY	22
#define IDCHK_AUTORPT	23
#define IDCHK_KEEPRPT	24
#define IDCHK_TASKTIME	25
#define IDGRP_DISP		26
#define IDGRP_PLAY		27
#define IDS_BMP			28
#define IDBMP_LOGO		29

#define IDI_TBICON		50

#define DLGHLPABOUT		61
#define DLGOPTIONS		60
